learningsets-class {CMA} | R Documentation

## "learningsets"

### Description

An object returned from `GenerateLearningsets` which is usually passed as arguments to `GeneSelection`, `tune` and `classification`.

### Slots

`learnmatrix`:
  A matrix of dimension `niter x ntrain`. Each row contains the indices of those observations representing the learningset for one iteration. If `method = CV`, zeros appear due to rounding issues.
`method`:
  The method used to generate the `learnmatrix`, s.`GenerateLearningsets`
`ntrain`:
  Number of observations in one learning set.If `method = CV`, this number is not attained for all iterations, due to rounding issues.
`iter`:
  Number of iterations (different learningsets) that are stored in `learnmatrix`.

### Methods

show
  Use `show(learningsets-object)` for brief information.

### Author(s)

Martin Slawski martin.slawski@campus.lmu.de

Anne-Laure Boulesteix http://www.slcmsr.net/boulesteix

### See Also

`GenerateLearningsets`, `GeneSelection`, `tune`, `classification`

[Package CMA version 1.2.0 Index]